
#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH				:=	$(call my-dir)

include $(CLEAR_VARS)

CROSS_COMPILE			:=	$(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.9.2/bin/armv7a-cros-linux-gnueabi-
TARGET_LINUXPATH		:=	$(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL	:=	$(PRODUCT_OUT)/kernel

PH_KEY_MODULE			:=	$(LOCAL_PATH)/ph_key.ko
PH_KEY_SUBDIRS			:=	$(CURDIR)/$(LOCAL_PATH)
PH_KEY_SRC_FILES		:=	$(addprefix $(PH_KEY_SUBDIRS)/,module.c)
PH_KEY_CLEANUP			:=	$(addprefix $(PH_KEY_SUBDIRS)/,	\
								*.o								\
								*.mod.?							\
								.*cmd							\
								.tmp_versions					\
								Module.symvers					\
								modules.order					\
							)

LOCAL_MODULE			:=	ph_key.ko
LOCAL_MODULE_TAGS		:=	debug
LOCAL_MODULE_CLASS		:=	ETC
LOCAL_MODULE_PATH		:=	$(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES			:=	ph_key.ko


$(PH_KEY_MODULE) : $(TARGET_PREBUILT_KERNEL) $(PH_KEY_SRC_FILES) $(PH_KEY_SUBDIRS)/Android.mk $(PH_KEY_SUBDIRS)/Makefile
	@make ARCH=arm CROSS_COMPILE=$(CROSS_COMPILE) -C $(TARGET_LINUXPATH) SUBDIRS=$(PH_KEY_SUBDIRS) modules
	@$(CROSS_COMPILE)strip --strip-unneeded $@
	@rm -rf $(PH_KEY_CLEANUP)


include $(BUILD_PREBUILT)

#endif
